Subject: Re: [PATCH net-next 2/3] ksz884x: remove unused #defines

From: Jakub Kicinski <[email-masked]>
Date: Thu, 6 Apr 2023 09:00:17 -0700

On Thu, 06 Apr 2023 15:37:36 +0200 Paolo Abeni wrote:
> On Wed, 2023-04-05 at 10:39 +0200, Simon Horman wrote:
> > Remove unused #defines from ksz884x driver.
> > 
> > These #defines may have some value in documenting the hardware.
> > But that information may be accessed via scm history.  
> 
> I personally have a slight preference for keeping these definitions in
> the sources (for doc purposes), but it's not a big deal. 
> 
> Any 3rd opinion more then welcome!

I had the same reaction, FWIW.

Cleaning up unused "code" macros, pure software stuff makes perfect
sense. But I feel a bit ambivalent about removing definitions of HW
registers and bits.